Groups and labels
Get groups
Returns one of the calling user’s contact groups with its contacts. Returns 404 with the message group not found. when the group does not exist or belongs to another user. Requires a company admin or rep Bearer token; admin users, company API tokens, and partner tokens also need the users view permission.
GET
/
api
/
groups
/
{id}
Get groups
curl --request GET \
--url https://api.fluid.app/api/groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/groups/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/groups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 7342,
"name": "Hot",
"avatar": "🔥",
"avatar_background": "#FFE6EB",
"contacts": [
{
"id": 61840,
"token": "pX7rQ2mK9vT4wN8bH3cJ6dLf",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": "https://cdn.fluid.app/avatars/dunder-mifflin/holly-flax.jpg",
"status": "new",
"email": "holly.flax@dundermifflin.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "412 Keystone Road",
"address2": "Apt 3",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": null,
"country_id": null,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": "Weekday mornings",
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": "Standing copy paper order",
"full_name": "Holly Flax",
"discarded_at": null
}
],
"activities": []
}{
"message": "<string>"
}Response
Success
A contact group owned by a user, with its contacts.
⌘I
Get groups
curl --request GET \
--url https://api.fluid.app/api/groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/groups/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/groups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 7342,
"name": "Hot",
"avatar": "🔥",
"avatar_background": "#FFE6EB",
"contacts": [
{
"id": 61840,
"token": "pX7rQ2mK9vT4wN8bH3cJ6dLf",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": "https://cdn.fluid.app/avatars/dunder-mifflin/holly-flax.jpg",
"status": "new",
"email": "holly.flax@dundermifflin.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "412 Keystone Road",
"address2": "Apt 3",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": null,
"country_id": null,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": "Weekday mornings",
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": "Standing copy paper order",
"full_name": "Holly Flax",
"discarded_at": null
}
],
"activities": []
}{
"message": "<string>"
}